# Included from Makefile.
# 
# Required vars:
#
#  ${CPP}        - C preprocessor name
#  ${CPPFLAGS}   - preprocessor flags (including defs)
#
#  ${ARCHFILES}  - All file names to include in archive
#                  .depend, depfun.mak and Makefile are
#                  automatically included.
#  ${ARCHNAME}   - Name of program. Example: testprog-0.0.1
#

include .depend

.depend: ${ARCHFILES}
	touch .depend
	${MAKE} dep

depend: dep
dep:
	- for s in *.c *.cc; do ${CPP} ${CPPFLAGS} -MM $$s; done > .depend

pak: ${ARCHFILES} .depend
	- mkdir ${ARCHNAME}
	cp -lfr ${ARCHFILES} depfun.mak Makefile ${ARCHNAME}/
	tar cf ${ARCHNAME}.tar ${ARCHNAME}/
	rm -rf ${ARCHNAME}
	bzip2 -c9 >${ARCHNAME}.tar.bz2 <${ARCHNAME}.tar
	gzip -f9 ${ARCHNAME}.tar
